Page 1 of 1

Adaptar un Plugin de 1.6 a 1.5.22

Posted: Wed Mar 30, 2011 8:46 am
by BLOQUE
Hola a todos,

Pues eso, he encontrado un plugin que me viene genial para mi web, el "pero" es que yo utilizo jomla 1.5.22 y este plugin está escrito para joomla 1.6 y, lo que necesito es que si alguien lo puede adaptar para joomla 1.5.22. Aporto adjunto el plugin en su version original 1.6.

Un Saludo y gracias.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Wed Mar 30, 2011 12:22 pm
by hefesto
Básicamente vas a tener que tomar el camino inverso a lo que se explica aquí:

http://www.theartofjoomla.com/home/9-de ... la-16.html

Sin un conocimiento aunque sea básico del framework de Joomla (tanto del de la 1.5 como del de la 1.6) te va a resultar un poco complicado, aunque si has hecho algo antes seguramente no sea mucho trabajo.

Un saludo.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Thu Mar 31, 2011 6:50 am
by BLOQUE
Hola hefesto,

Gracias por la información, pero ni el framework ni el ingles es lo mio, asi que sigo con la petición de alguien que lo quiera adaptar a la version 1.5, siendo un plugin tan chiquitito y con poquita cosa alguien con los conocimientos, pienso que en muy poco tiempo lo tendría listo.

Un Saludo.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Thu Mar 31, 2011 7:26 am
by hefesto
Suerte entonces.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Thu Mar 31, 2011 8:54 am
by BLOQUE
Bueno, espero que haya users desinteresados y que les guste el tema y la puedan adaptar, ya que aún hay muchísima gente que utiliza 1.5.

Un Saludo.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Thu Mar 31, 2011 7:56 pm
by hefesto
BLOQUE wrote:Bueno, espero que haya users desinteresados y que les guste el tema y la puedan adaptar, ya que aún hay muchísima gente que utiliza 1.5.
Lo que estás pidiendo no es ayuda, es que alguien te haga un trabajo de programación a medida gratis. Tú no aportas nada. Eso no es ser un usuario desinteresado, sino otra cosa. Por eso te deseo suerte en tu búsqueda ;).

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Fri Apr 01, 2011 11:23 am
by BLOQUE
hefesto wrote:
BLOQUE wrote:Bueno, espero que haya users desinteresados y que les guste el tema y la puedan adaptar, ya que aún hay muchísima gente que utiliza 1.5.
Lo que estás pidiendo no es ayuda, es que alguien te haga un trabajo de programación a medida gratis. Tú no aportas nada. Eso no es ser un usuario desinteresado, sino otra cosa. Por eso te deseo suerte en tu búsqueda ;).
Hola hefesto,

Efectivamente, me gustaría que alguien lo hiciese "programase" desinteresadamente, como muchos que hay y, los cuelgan en el JED o en otras web´s relacionadas con Joomla o no. Ten por seguro que si yo supiese hacerlo lo haría, y sin dudarlo ni un segundo lo pondría a disposición de TODOS GRATUITAMENTE, ese es mi modo de ver, no el tuyo, y respetable, ya veo que no compartes mi modo de verlo, asi que también gracias.

Sobre que si yo no comparto, pues bueno, sobre este tema comparto lo que sepa, que más bien es poco, pero si, hay users que me han pedido consejo ó alguna extensión de las que yo tengo instaladas y sin problemas se las he pasado, primero por que no son mías y segundo que si fueran mias también. Mi tipo de hobby con joomla es compartir otro tipo de archivos diferentes a los de este foro, asi que si quieres te puedes pasar y veras como no tienes ningún impedimento en conseguir ninguno de los archivos de los que se postean, todo compartido y gratuito.

Un Saludo y espero tener suerte como dices.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Fri Apr 01, 2011 3:47 pm
by hefesto
Hola Bloque

Perdóname que te corrija, pero tú no compartes archivos en tu web, sino enlaces:
Esta web no contiene alojado ningún archivo protegido, tan solo actua como mero intermediario (o buscador), conteniendo enlaces a otros servidores públicos, como Rapidshare, Megaupload, etc...
Si compartieras archivos tu firma sería eliminada, sobre todo por lo que se refiere a los archivos de software con licencia comercial. El software libre es fantástico, porque puede compartirse hasta el infinito sin hacer nada ilegal. Pero si alguien opta por licenciar su trabajo de otra manera es libre de hacerlo, y ni tú ni yo somos nadie para pasarnos esa libertad suya por el forro y compartir ILEGALMENTE su trabajo. Pero insisto, tú no compartes archivos, sino enlaces.

Y haz el favor de no insinuar de mí cosas que no son ciertas, porque no tienes más que echar un vistazo a estos foros para comprobar hasta dónde llega mi implicación con Joomla. Que no quiera trabajar para ti gratuitamente no significa que yo no ayude a otros usuarios de manera altruista.

Tu "tipo de hobby" no tiene nada que ver con Joomla. Usas Joomla como mera herramienta para conseguir tu fin, y por lo visto no estás dispuesto a aportar nada a la comunidad a cambio de una herramienta libre y gratuita, ni tan siquiera hacer un conato de esfuerzo por modificar unas líneas de código.

Compartir enlaces a archivos que contienen el trabajo de otros no es ninguna heroicidad. La filosofía del software y la cultura libres no hacen apología del "gratis total". A los autores y a los profesionales se les debe reconocer su trabajo, y si es posible hacer que puedan vivir dignamente de ello. Otra cosa es la industria que hay detrás, los lobbies de presión, las empresas monopolistas... organizaciones y personas que poco o nada hacen por los autores y profesionales, y que se empeñan en perpetuar un modelo de negocio prehistórico.

Re: Adaptar un Plugin de 1.6 a 1.5.22

Posted: Mon Apr 04, 2011 6:20 am
by BLOQUE
Hola,
Bueno a parte de todo lo escrito, que en parte llevas razón ó no, gracias por la parrafada, pero con tu ayuda o sin ella, sigo con el mismo objetivo de este hilo que es el del Título, asi que si alguien está dispuesto, aportaría un buen plugin para todos y muchos que no sabemos programarlo.

Sin más, Un Saludo.